%define qt_ver_major 3
%define qtdir %_libdir/qt%qt_ver_major
%define kdedir %(kde-config --prefix)

Name: kxmleditor
Version: 0.8.1
Release: alt2

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Group: Development/Other
Summary: KXML Editor for KDE 3.x
Summary(ru_RU.KOI8-R):  XML   KDE 3.x
License: GPL
Url: http://kxmleditor.sourceforge.net

Source: %name-%version.tar.bz2

# Automatically added by buildreq on Thu Sep 11 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdelibs-devel libGLU libGLwrapper libart_lgpl-devel libarts-devel libaudio libexpat libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel zlib-devel

%description
KXML Editor is a program that lets you browse and edit XML files.

%description -l ru_RU.KOI8-R
KXML Editor      XML . 

%prep
%setup -q

%build
export KDEDIR=%kdedir
export QTDIR=%qtdir

%configure \
	--disable-rpath \
	--enable-shared \
	--disable-static \
	--with-qt-dir=%qtdir \
	--with-xinerama \
	--program-prefix=""

%make_build

%install
%make DESTDIR=%buildroot install 

# menu
%__mkdir_p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name "Applications/Publishing" \
    %buildroot/%_datadir/applnk/Applications/%name.desktop \
    %buildroot/%_menudir/%name

%__cp %buildroot/%_iconsdir/locolor/16x16/apps/%name.png %buildroot/%_iconsdir

%post 
%post_ldconfig
%update_menus

%postun 
%postun_ldconfig
%clean_menus

%files
%_bindir/%name
%_libdir/*.la
%_libdir/*.so
%_libdir/*.so.*
%_datadir/apps/%name
%_datadir/services/*.desktop
%_iconsdir/*.png
%_iconsdir/*/*/*/*.png
#
%_datadir/applnk/Applications/%name.desktop
%_menudir/%name
#
%doc %_datadir/doc/HTML/en/%name
%doc ChangeLog AUTHORS KXMLEditor.flw

%changelog
* Fri Sep 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt2
- updated buildreqs.

* Wed May 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt1
- 0.8.1

* Fri Oct 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt0.2.beta
- Rebuild with new QT3/KDE3 

* Fri Sep 20 2002 Sergey V Turchin <zerg@altlinux.ru> 0.8-alt0.1.beta
- new version
- rebuild with gcc.3.2

* Tue May 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.2-alt2
- BuildConflicts on libqt2-devel <= 2.3.1-alt10
- rebuild 

* Sat May 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.2-alt1
- First KDE3 version. 

* Mon Jan 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.1-alt3
- cleanups

* Tue Dec 4 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.7.1-alt2
- Menu, russian summary and description added.

* Fri Nov 30 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.7.1-alt1
- first build for Sisyphus
